%define upstream_name    Text-Unaccent
%define upstream_version 1.08

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Remove accents from a string
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Text//%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		Text-Unaccent-size_t.patch

BuildRequires:  perl-devel


%description
A module that remove accents from a string. unac_string converts the input
string from the specified charset to UTF-16 and call unac_string_utf16 to
return the unaccented equivalent. The conversion from and to UTF-16 is done
with iconv(1).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0 -b .size_t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"

%check
make test

%install
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_mandir}/*/*
%{perl_vendorarch}/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-5.mga3
+ Revision: 374246
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.80.0-4.mga3
+ Revision: 251237
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.80.0-3.mga2
+ Revision: 105058
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.80.0-2.mga1
+ Revision: 31351
- mageia rebuild
- imported package perl-Text-Unaccent

